{{-- <x-filament-panels::page>

<div class="space-y-4">
    <div class="space-y-4">
        {{ $this->form }}
    </div>

    <div class="bg-white shadow rounded-xl p-4 mt-6">
        <livewire:locator-data-table />
    </div>

</div>

<script>
   window.addEventListener('focus-scan-locator-no', () => {
        const wrapper = document.getElementById('scan_locator_no');
        const input = wrapper?.querySelector('input,textarea');
        if (input) {
            input.focus();
            input.select();
        }
});
</script>

</x-filament-panels::page> --}}

<x-filament-panels::page>

<div class="space-y-4">
    {{-- Render the Select form fields --}}
    <div class="space-y-4">
        {{ $this->form }}
    </div>

    {{-- Add Pallet and Remove Pallet buttons --}}
    <div class="flex flex-row gap-2 mt-4">
        <button
            type="button"
            wire:click="addPallet"
            class="px-3 py-1 border border-primary-500 text-primary-600 rounded hover:bg-primary-50 hover:border-primary-700 transition text-sm"
        >
            Add Pallet /<br>Serial Number
        </button>
        <button
            type="button"
            wire:click="removePallet"
            class="px-3 py-1 border border-primary-500 text-primary-600 rounded hover:bg-primary-50 hover:border-primary-700 transition text-sm"
        >
            Remove Pallet /<br>Serial Number
        </button>
        {{-- <button
        type="button"
        wire:click="print"
        class="px-3 py-1 border border-primary-500 text-primary-600 rounded hover:bg-primary-50 hover:border-primary-700 transition text-sm"
    >
        Print
    </button> --}}
    </div>

    <div class="bg-white shadow rounded-xl p-4 mt-6">
        <livewire:locator-data-table />
    </div>
</div>

<script>
   window.addEventListener('focus-scan-locator-no', () => {
        const wrapper = document.getElementById('scan_locator_no');
        const input = wrapper?.querySelector('input,textarea');
        if (input) {
            input.focus();
            input.select();
        }
   });
</script>

</x-filament-panels::page>

